extends VBoxContainer

var x : int = Global.pieces_x
var y : int = Global.pieces_y

func update_piece_counter():
	%PieceCounter.text = String.num_uint64(x * y)

func _ready():
	update_piece_counter()

func _on_xh_scroll_bar_value_changed(value):
	x = value
	%XCounter.text = String.num_uint64(value)
	update_piece_counter()

func _on_yh_scroll_bar_value_changed(value):
	y = value
	%YCounter.text = String.num_uint64(value)
	update_piece_counter()
